<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.StoreActivityMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.store.StoreActivity">
        <id column="id" property="id" />
        <result column="activity_title" property="activityTitle" />
        <result column="activity_type" property="activityType" />
        <result column="contract_image" property="contractImage" />
        <result column="activity_crowd_type" property="activityCrowdType" />
        <result column="user_ids" property="userIds" />
        <result column="specific_rules" property="specificRules" />
        <result column="activity_start_time" property="activityStartTime" />
        <result column="activity_end_time" property="activityEndTime" />
        <result column="is_permanent" property="isPermanent" />
        <result column="status" property="status" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="created_time" property="createdTime" />
        <result column="updated_time" property="updatedTime" />
        <result column="created_user_id" property="createdUserId" />
        <result column="updated_user_id" property="updatedUserId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, activity_title, activity_type, contract_image, activity_crowd_type, user_ids, specific_rules, activity_start_time, activity_end_time, is_permanent, status, delete_flag, created_time, updated_time, created_user_id, updated_user_id
    </sql>

</mapper>
